<?php

/**
 * Block Styles
 *
 * @link https://developer.wordpress.org/reference/functions/register_block_style/
 *
 * @package elevate-construction
 * @since 1.0.0
 */

if ( function_exists( 'register_block_style' ) ) {
	/**
	 * Register block styles.
	 *
	 * @since 0.1
	 *
	 * @return void
	 */
	function elevate_construction_register_block_styles() {
		register_block_style(
			'core/navigation',
			array(
				'name'  => 'elevate-construction-navigation-primary',
				'label' => __( 'Hover: Primary', 'elevate-construction' ),
			)
		);
		register_block_style(
			'core/navigation',
			array(
				'name'  => 'elevate-construction-navigation-secondary',
				'label' => __( 'Hover: Secondary', 'elevate-construction' ),
			)
		);
		register_block_style(
			'core/button',
			array(
				'name'  => 'elevate-construction-button-arrow',
				'label' => __( 'Arrow ↗', 'elevate-construction' ),
			)
		);
		register_block_style(
			'core/image',
			array(
				'name'  => 'elevate-construction-hover-zoom-in',
				'label' => __( 'Hover: Zoom In', 'elevate-construction' ),
			)
		);
		register_block_style(
			'core/image',
			array(
				'name'  => 'elevate-construction-hover-zoom-out',
				'label' => __( 'Hover: Zoom Out', 'elevate-construction' ),
			)
		);
		register_block_style(
			'core/group',
			array(
				'name'  => 'elevate-construction-boxshadow',
				'label' => __( 'Box Shadow', 'elevate-construction' ),
			)
		);
		register_block_style(
			'core/group',
			array(
				'name'  => 'elevate-construction-boxshadow-hover',
				'label' => __( 'Hover: Box Shadow', 'elevate-construction' ),
			)
		);
		register_block_style(
			'core/group',
			array(
				'name'  => 'elevate-construction-overflow-hidden',
				'label' => __( 'Overflow: Hidden', 'elevate-construction' ),
			)
		);
		register_block_style(
			'core/column',
			array(
				'name'  => 'elevate-construction-boxshadow',
				'label' => __( 'Box Shadow', 'elevate-construction' ),
			)
		);
		register_block_style(
			'core/column',
			array(
				'name'  => 'elevate-construction-boxshadow-hover',
				'label' => __( 'Hover: Box Shadow', 'elevate-construction' ),
			)
		);
		register_block_style(
			'core/columns',
			array(
				'name'  => 'elevate-construction-boxshadow',
				'label' => __( 'Box Shadow', 'elevate-construction' ),
			)
		);
		register_block_style(
			'core/columns',
			array(
				'name'  => 'elevate-construction-boxshadow-hover',
				'label' => __( 'Hover: Box Shadow', 'elevate-construction' ),
			)
		);
		register_block_style(
			'core/columns',
			array(
				'name'  => 'elevate-construction-overflow-hidden',
				'label' => __( 'Overflow: Hidden', 'elevate-construction' ),
			)
		);
		register_block_style(
			'core/query-pagination',
			array(
				'name'  => 'elevate-construction-pagination-primary',
				'label' => __( 'Primary', 'elevate-construction' ),
			)
		);
		register_block_style(
			'core/query-pagination',
			array(
				'name'  => 'elevate-construction-pagination-secondary',
				'label' => __( 'Secondary', 'elevate-construction' ),
			)
		);
		register_block_style(
			'core/categories',
			array(
				'name'  => 'elevate-construction-categories-no-list',
				'label' => __( 'List Style : None', 'elevate-construction' ),
			)
		);
		register_block_style(
			'core/social-links',
			array(
				'name'  => 'elevate-construction-no-radius',
				'label' => __( 'Border Radius: None', 'elevate-construction' ),
			)
		);
	}
	add_action( 'init', 'elevate_construction_register_block_styles' );
}
